Name:           gummi
Version:        0.8.3
Release:        %mkrel 1
Summary:        A LaTeX editor for the Linux platform in C/GTK+
Group:          Publishing
License:        MIT
URL:            https://github.com/alexandervdm/gummi
Source0:        https://github.com/alexandervdm/gummi/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(synctex)

%description
Gummi is a LaTeX editor for the Linux platform, written in C/GTK+. It was
designed with simplicity in mind, but hopes to appeal to both novice and more
advanced LaTeX writers. Gummi was released as free opensource software under
the MIT license.

%prep
%autosetup -p1

# switch to gtksourceview4
perl -pi -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac
perl -pi -e 's/gtksourceview3/gtksourceview4/g' configure.ac

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jan 21 2023 daviddavid <daviddavid> 0.8.3-1.mga9
+ Revision: 1934702
- new version: 0.8.3

* Fri Apr 01 2022 umeabot <umeabot> 0.8.2-2.mga9
+ Revision: 1840046
- Mageia 9 Mass Rebuild

* Sun Sep 05 2021 wally <wally> 0.8.2-1.mga9
+ Revision: 1744340
- new version 0.8.2
- switch to gtksourceview4

* Mon Oct 19 2020 akien <akien> 0.8.1-1.mga8
+ Revision: 1637011
- Version 0.8.1

* Thu Feb 13 2020 umeabot <umeabot> 0.6.6-3.mga8
+ Revision: 1512912
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.6-2.mga7
+ Revision: 1298145
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 akien <akien> 0.6.6-1.mga6
+ Revision: 1084049
- Version 0.6.6

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.6.5-9.mga6
+ Revision: 1070626
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6.5-8.mga6
+ Revision: 1046182
- test rebuild for poppler

* Thu Feb 25 2016 luigiwalser <luigiwalser> 0.6.5-7.mga6
+ Revision: 978992
- add patch from opensuse to fix CVE-2015-7758

* Mon Feb 08 2016 umeabot <umeabot> 0.6.5-6.mga6
+ Revision: 942742
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.5-5.mga5
+ Revision: 745531
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.5-4.mga5
+ Revision: 680046
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.5-3.mga4
+ Revision: 505390
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.5-2.mga3
+ Revision: 352962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 mitya <mitya> 0.6.5-1.mga3
+ Revision: 322685
- New version 0.6.5

* Wed Jul 25 2012 mitya <mitya> 0.6.4-1.mga3
+ Revision: 274373
- New version 0.6.4

* Mon Apr 23 2012 mitya <mitya> 0.6.3-1.mga2
+ Revision: 233056
- Import Gummi 0.6.3
- Created package structure for gummi.

